Bug 10244 - Backintime is really outdated
Summary: Backintime is really outdated
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 3
Hardware: i586 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA3-32-ok-gnome MGA3-32-ok-kde MGA3-...
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2013-05-24 09:41 CEST by Sandro Cazzaniga
Modified: 2013-07-16 10:24 CEST (History)
9 users (show)

See Also:
Source RPM: backintime-1.0.8
CVE:
Status comment:


Attachments

Description Sandro Cazzaniga 2013-05-24 09:41:00 CEST
Description of problem:
Backintime is really outdated in Mageia 3, we have 1.0.8 and there's 1.0.24.
I package, test and send it to Core/Update Testing. Here's an advisory for QA team!

I have uploaded backintime-1.0.24 in mageia 3 (core/updates_testing).
You can test it by enabling this media in MCC and update your system.


Suggested advisory:
====================
Updating this package (that was out of date, 1.0.8) fixes security bugs and functionals bugs.
The last version fixes :
- check keyring backend only if password is needed
- GtkWarning: Unknown property: GtkLabel.margin-top
- restore permission failed on âFull rsync modeâ

But there's about 8 others releases, as you can see in the changelog...

References:
http://backintime.le-web.org/change-log/

Updated packages in core/updates_testing:
==========================================
backintime-1.0.24-1.mga3
|_ backintime-gnome-1.0.24-1.mga3
|_ backintime-kde-1.0.24-1.mga3
|_ backintime-common-1.0.24-1.mga3

Reproducible: 

Steps to Reproduce:
Sandro Cazzaniga 2013-05-24 13:51:12 CEST

Assignee: bugsquad => qa-bugs

Comment 1 Sandro Cazzaniga 2013-06-03 17:21:42 CEST
Ping.

Could someone test it? It works fine for me.
Comment 2 claire robinson 2013-06-03 17:36:05 CEST
Sorry Sandro, we're still catching up from the post-release rush (and pre-release lack of rest!).
Comment 3 Sandro Cazzaniga 2013-06-03 17:39:22 CEST
No problem, it's just to prevent this ticket from fall into oblivion :)
Comment 4 claire robinson 2013-06-03 17:55:29 CEST
Feel free to help with testing some of the other updates to speed things up ;)
Comment 5 Sandro Cazzaniga 2013-06-03 17:58:05 CEST
Of course! ;)
Comment 6 martyn vidler 2013-06-06 23:51:19 CEST
Mga3 32

installed via mcc version 1.0.24-1
when started, it wont. It trys to start 

from terminal backintime error

Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 25, in <module>
    import config
  File "/usr/share/backintime/common/config.py", line 32, in <module>
    import password
  File "/usr/share/backintime/common/password.py", line 25, in <module>
    import keyring
ImportError: No module named keyring.

CC: (none) => martynvidler

Comment 7 martyn vidler 2013-06-07 00:05:38 CEST
I will test on MGA3 64 tomorrow
Comment 8 Sandro Cazzaniga 2013-06-07 10:01:09 CEST
Don't have this error here, do you try backintime on KDE or Gnome?
Comment 9 Sandro Cazzaniga 2013-06-07 10:06:39 CEST
Seems like this one is missing: https://pypi.python.org/pypi/keyring
Comment 10 martyn vidler 2013-06-07 10:39:28 CEST
Sorry Sandra I was using gnome  i will check kde 32 as well
Comment 11 Sandro Cazzaniga 2013-06-07 10:47:18 CEST
It's Sandro , not sandra :)
Comment 12 Shlomi Fish 2013-06-07 12:09:17 CEST
This is what I get with KDE 4 on my x86-64 VM:

[shlomif_vm@localhost ~]$ back
backintime            backintime-kde4       
backintime-askpass    backintime-kde4-root  
[shlomif_vm@localhost ~]$ backintime-kde
backintime-kde4       backintime-kde4-root  
[shlomif_vm@localhost ~]$ backintime-kde4
Traceback (most recent call last):
  File "/usr/share/backintime/kde4/app.py", line 34, in <module>
    import backintime
  File "/usr/share/backintime/common/backintime.py", line 25, in <module>
    import config
  File "/usr/share/backintime/common/config.py", line 32, in <module>
    import password
  File "/usr/share/backintime/common/password.py", line 25, in <module>
    import keyring
ImportError: No module named keyring
[shlomif_vm@localhost ~]$

CC: (none) => shlomif

Comment 13 Shlomi Fish 2013-06-07 12:09:47 CEST
Oh, and it is after I installed backintime-kde4 using urpmi.
Comment 14 Sandro Cazzaniga 2013-06-07 14:00:02 CEST
yep, we need to package python-keyring
claire robinson 2013-06-07 15:46:00 CEST

Whiteboard: (none) => feedback

Comment 15 William Kenney 2013-06-10 02:00:48 CEST
Same error here:

Testing on Mageia 3 i586, using core updates_testing:

I installed backintime-kde4-1.0.24-1.mga3.noarch.rpm into an i586 Live-CD M3
and in a terminal attempted a launch of backintime. The following error is
the result:

[live@localhost ~]$ backintime
Traceback (most recent call last):
  File "/usr/share/backintime/common/backintime.py", line 25, in <module>
    import config
  File "/usr/share/backintime/common/config.py", line 32, in <module>
    import password
  File "/usr/share/backintime/common/password.py", line 25, in <module>
    import keyring
ImportError: No module named keyring

CC: (none) => wilcal.int

Sandro Cazzaniga 2013-06-14 11:58:33 CEST

CC: (none) => makowski.mageia

Comment 16 Philippe Makowski 2013-06-14 13:27:11 CEST
python-keyring is packaged in Cauldron you can push it in mga3 if need
Comment 17 Sandro Cazzaniga 2013-06-14 14:13:50 CEST
OK I'll do it tomorrow or in this afternoon.
Comment 18 Sandro Cazzaniga 2013-06-14 14:27:18 CEST
It's now fixed in cauldron. I have to import python-keyring in 3/ and it will be fixed.
Comment 19 Philippe Makowski 2013-06-14 19:23:46 CEST
python-keyring is in mga3

CC: makowski.mageia => (none)

Comment 20 Sandro Cazzaniga 2013-06-14 21:43:49 CEST
Oh, my mistake :)

I'll do it asap.
Comment 21 Sandro Cazzaniga 2013-06-14 21:56:41 CEST
Done.

http://svnweb.mageia.org/packages?view=revision&revision=443118
Comment 22 Rémi Verschelde 2013-06-16 10:33:30 CEST
Updated packages in core/updates_testing:
==========================================
backintime-1.0.24-2.mga3
|_ backintime-gnome-1.0.24-2.mga3
|_ backintime-kde-1.0.24-2.mga3
|_ backintime-common-1.0.24-2.mga3

CC: (none) => remi
Whiteboard: feedback => (none)

Comment 23 Rémi Verschelde 2013-06-16 10:44:10 CEST
Installing backintime-*-1.0.24-2.mga3 still does not install python-keyring (probably because python-keyring is only in core/updates_testing).

So I guess we'll have to test and validate python-keyring before backintime can be tested.

Whiteboard: (none) => feedback

Comment 24 claire robinson 2013-06-16 12:14:22 CEST
Confirmed, still missing the require on python-keyring
Comment 25 Rémi Verschelde 2013-06-25 09:13:13 CEST
Ping Sandro. We'd like to have this update pushed to reduce the QA list :)
Comment 26 David GEIGER 2013-07-06 18:05:10 CEST
Requires python-keyring should be attributed to (on spec file):

%package kde4
Requires: python-keyring

%package gnome
Requires: python-keyring

instead of attributing it to backintime, what do you think?

maybe this is why it is not called during the installation?

CC: (none) => geiger.david68210

Comment 27 Philippe Makowski 2013-07-06 22:40:07 CEST
it doesn't hurt

but python-keyring is only in 3/core-updates_testing 
so it should be also pushed to solve this
python-keyring-1.4-1.mga3.noarch
python-keyring-1.4-1.mga3.src

CC: (none) => makowski.mageia

Comment 28 claire robinson 2013-07-08 18:24:54 CEST
Sandro is leaving us to do deb packaging, does somebody want to address the issues with this update or shall we cancel it and remove from testing?
Comment 29 Philippe Makowski 2013-07-08 20:59:15 CEST
Updated packages in core/updates_testing:
==========================================
backintime-1.0.24-2.1.mga3
|_ backintime-gnome-1.0.24-2.1.mga3
|_ backintime-kde-1.0.24-2.1.mga3
|_ backintime-common-1.0.24-2.1.mga3
claire robinson 2013-07-08 22:37:56 CEST

Whiteboard: feedback => (none)

Comment 30 martyn vidler 2013-07-09 22:44:05 CEST
Tested MGA3 32 Gnome urpmi backintime-gnome

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch
(medium "Core Release")
  libgnome-keyring-gir1.0        3.6.0        2.mga3        i586
(medium "Core Updates Testing")
  backintime-common              1.0.24       2.1.mga3      noarch
  backintime-gnome               1.0.24       2.1.mga3      noarch
  python-keyring                 1.4          1.mga3        noarch

This time no errors on install.

Open backintime made backup of selected dir

Test complete MGS3 32 gnome

Whiteboard: (none) => MGA3-32-ok

Comment 31 martyn vidler 2013-07-09 23:22:25 CEST
Tested MGA3 64 Gnome 
urpmi backintime-gnome

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch
(medium "Core Release")
  gnome-python                   2.28.1       5.mga3        x86_64
  gnome-python-bonobo            2.28.1       5.mga3        x86_64
  gnome-python-canvas            2.28.1       5.mga3        x86_64
  gnome-python-gconf             2.28.1       5.mga3        x86_64
  lib64gnome-keyring-gir1.0      3.6.0        2.mga3        x86_64
  meld                           1.6.1        2.mga3        noarch
  pygtk2.0-libglade              2.24.0       4.mga3        x86_64
  pyorbit                        2.24.0       8.mga3        x86_64
  python-gtksourceview           2.10.1       6.mga3        x86_64
(medium "Core Updates Testing")
  backintime-common              1.0.24       2.1.mga3      noarch
  backintime-gnome               1.0.24       2.1.mga3      noarch
  python-keyring                 1.4          1.mga3        noarch

This time no errors

Open backintime made backup of a selected dir

Test Complete MGA3 64 Gnome
Comment 32 martyn vidler 2013-07-09 23:37:37 CEST
Tested MGA3 32 Kde4
urpmi backintime-kde4

To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Release (distrib5)")
  appres                         1.0.3        2.mga3        i586    
  editres                        1.0.6        1.mga3        i586    
  lbxproxy                       1.0.2        3.mga3        i586    
  libgettextmisc                 0.18.2       2.mga3        i586    
  libgnome-keyring-gir1.0        3.6.0        2.mga3        i586    
  liblbxutil1                    1.1.0        4.mga3        i586    
  libunistring0                  0.9.3        9.mga3        i586    
  libxtrap6                      1.0.1        2.mga3        i586    
  listres                        1.0.3        2.mga3        i586    
  luit                           1.1.1        3.mga3        i586    
  makedepend                     1.0.4        2.mga3        i586    
  proxymngr                      1.0.2        2.mga3        i586    
  rstart                         1.0.4        2.mga3        i586    
  smproxy                        1.0.5        2.mga3        i586    
  viewres                        1.0.4        1.mga3        i586    
  x11-scripts                    1.0.1        9.mga3        i586    
  x11-tools                      1.0.0        10.mga3       noarch  
  x11perf                        1.5.4        2.mga3        i586    
  xcmsdb                         1.0.4        2.mga3        i586    
  xconsole                       1.0.5        1.mga3        i586    
  xcursorgen                     1.0.5        2.mga3        i586    
  xev                            1.2.1        1.mga3        i586    
  xfindproxy                     1.0.2        2.mga3        i586    
  xfsinfo                        1.0.3        2.mga3        i586    
  xfwp                           1.0.2        2.mga3        i586    
  xgamma                         1.0.5        2.mga3        i586    
  xkbevd                         1.1.3        2.mga3        i586    
  xkbprint                       1.0.3        2.mga3        i586    
  xkbutils                       1.0.3        2.mga3        i586    
  xkill                          1.0.3        3.mga3        i586    
  xlsatoms                       1.1.1        2.mga3        i586    
  xlsclients                     1.1.2        2.mga3        i586    
  xrefresh                       1.0.4        2.mga3        i586    
  xrx                            1.0.4        2.mga3        i586    
  xsetmode                       1.0.0        10.mga3       i586    
  xsetpointer                    1.0.1        7.mga3        i586    
  xstdcmap                       1.0.2        2.mga3        i586    
  xtrap                          1.0.2        7.mga3        i586    
  xvidtune                       1.0.3        1.mga3        i586    
  xvinfo                         1.1.1        2.mga3        i586    
  xwininfo                       1.1.2        2.mga3        i586    
(medium "Core Updates (distrib7)")
  libfs6                         1.0.5        1.mga3        i586    
(medium "Core Updates Testing (distrib9)")
  backintime-common              1.0.24       2.1.mga3      noarch  
  backintime-kde4                1.0.24       2.1.mga3      noarch  
  kdesdk4-core                   4.10.4       2.mga3        i586    
  kompare                        4.10.4       2.mga3        i586    
  libkomparedialogpages4         4.10.4       2.mga3        i586    
  libkomparediff2_4              4.10.4       2.mga3        i586    
  libkompareinterface4           4.10.4       2.mga3        i586    
  python-keyring                 1.4          1.mga3        noarch

Again no errors to report backed up dir

Test complete MGA3 32 KDE4
Comment 33 martyn vidler 2013-07-09 23:38:23 CEST
Can some one test backintime on 64 kde pls
martyn vidler 2013-07-09 23:38:48 CEST

Whiteboard: MGA3-32-ok => MGA3-32-ok-gnome

martyn vidler 2013-07-09 23:39:20 CEST

Whiteboard: MGA3-32-ok-gnome => MGA3-32-ok-gnome MGA3-32-ok-kde

martyn vidler 2013-07-09 23:39:45 CEST

Whiteboard: MGA3-32-ok-gnome MGA3-32-ok-kde => MGA3-32-ok-gnome MGA3-32-ok-kde MGA3-64-ok-gnome

Comment 34 Dave Hodgins 2013-07-10 00:42:29 CEST
I'll test it shortly.

CC: (none) => davidwhodgins

Comment 35 Dave Hodgins 2013-07-10 01:08:48 CEST
Testing complete and advisory uploaded.
http://svnweb.mageia.org/advisories/10244.adv?revision=176&view=markup

Could somone from the sysadmin team push 10244.adv.

Keywords: (none) => validated_update
Whiteboard: MGA3-32-ok-gnome MGA3-32-ok-kde MGA3-64-ok-gnome => MGA3-32-ok-gnome MGA3-32-ok-kde MGA3-64-ok-gnome MGA3-64-ok-kde
CC: (none) => sysadmin-bugs

Comment 36 Thomas Backlund 2013-07-16 10:24:18 CEST
Update pushed:
http://advisories.mageia.org/MGAA-2013-0058.html

Status: NEW => RESOLVED
CC: (none) => tmb
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.